summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-02-08 16:15:55 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-02-08 16:16:51 +0100
commit937091d7d36f263b7b3dbb29aab3f427737ee188 (patch)
tree9883b2672b50775724bdcc306d3e4b7fe31fa28b
parentprofiles: drop masks for removed dev-php/Savant* packages. (diff)
downloadgentoo-937091d7d36f263b7b3dbb29aab3f427737ee188.tar.gz
gentoo-937091d7d36f263b7b3dbb29aab3f427737ee188.tar.bz2
gentoo-937091d7d36f263b7b3dbb29aab3f427737ee188.zip
dev-python/click: Version bump to 6.7
Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--dev-python/click/Manifest1
-rw-r--r--dev-python/click/click-6.7.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index 5e1ff7fbc7d..48067920671 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -1 +1,2 @@
DIST click-6.6.tar.gz 283420 SHA256 cc6a19da8ebff6e7074f731447ef7e112bd23adf3de5c597cf9989f2fd8defe9 SHA512 5650cfe6c8b55a7e823e22248964143278d61383dac63497508a864807f1950f9dd5d76ce6a501e589dd81fed6e2a1248d3f8973be25a91950896b7408dc88bc WHIRLPOOL db9f36bb86599599b95ae350659f75f387d15196261acaef1e069769ca8e2f29be8dc3ae5cdd94d8303907f94b90ed00209a3410da863afcce74d393a2f48d3c
+DIST click-6.7.tar.gz 279019 SHA256 f15516df478d5a56180fbf80e68f206010e6d160fc39fa508b65e035fd75130b SHA512 d454369fe1acb01c2210a61e15f45ac9cc77102c93345257f4ef3090bd8f31f1ccc49d9fd6ea670cddca9f715ad5db29368b4eecd95abff50d1033c4f7a967d6 WHIRLPOOL c85fd3d8dff735eda63ca78cbd7bb09e8bd11e237d681f9d07cc3788e05191c4fc81a05ac813c176ef5966fa3cbd7d4eac0391633d5672b1ace8581663bef7d6
diff --git a/dev-python/click/click-6.7.ebuild b/dev-python/click/click-6.7.ebuild
new file mode 100644
index 00000000000..34cecb36a43
--- /dev/null
+++ b/dev-python/click/click-6.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.python.org/pypi/click"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc examples test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ emake test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}